=== debian/control ===
Source: swapspace
Section: admin
Priority: optional
Maintainer: Jacob Adams <tookmund@gmail.com>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.5
Homepage: https://github.com/Tookmund/Swapspace
Vcs-Git: https://salsa.debian.org/tookmund-guest/swapspace-deb.git
Vcs-Browser: https://salsa.debian.org/tookmund-guest/swapspace-deb

Package: swapspace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: dynamic swap space manager
 Small, stable system add-on that continuously and automatically adapts
 available virtual memory space to your actual memory needs.  Claims disk space
 for use as swap space when needed; frees it up for use by the filesystem when
 not needed.
