## swapspace 1.16.1

=== debian/changelog ===
swapspace (1.16.1-1) unstable; urgency=medium

  * New upstream version
  * Bumped debhelper compat to 12
    - Use debhelper-compat Build-Depends instead of a compat file
  * Bumped 'Standards-Version' to 4.5.0
    - Add NEWS file to docs to comply with 12.7
  * Add Rules-Requires-Root: no

 -- Jacob Adams <tookmund@gmail.com>  Fri, 20 Mar 2020 11:38:10 -0400
