=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: admin
 Priority: optional
 Maintainer: Jacob Adams <tookmund@gmail.com>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.5
+Build-Depends: debhelper (>= 12), debhelper-compat (= 12)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/Tookmund/Swapspace
 Vcs-Git: https://salsa.debian.org/tookmund-guest/swapspace-deb.git
 Vcs-Browser: https://salsa.debian.org/tookmund-guest/swapspace-deb
 
 Package: swapspace
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: dynamic swap space manager
  Small, stable system add-on that continuously and automatically adapts
