## swapspace 1.17

=== debian/changelog ===
swapspace (1.17-1) unstable; urgency=medium

  * New upstream version
  * Bumped debhelper compat to 13
  * Move VCS to standard salsa namespace, instead of -guest

 -- Jacob Adams <tookmund@gmail.com>  Thu, 21 May 2020 18:05:16 -0400
