=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: admin
 Priority: optional
 Maintainer: Jacob Adams <tookmund@gmail.com>
-Build-Depends: debhelper (>= 12), debhelper-compat (= 12)
+Build-Depends: debhelper (>= 13), debhelper-compat (= 13)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/Tookmund/Swapspace
-Vcs-Git: https://salsa.debian.org/tookmund-guest/swapspace-deb.git
-Vcs-Browser: https://salsa.debian.org/tookmund-guest/swapspace-deb
+Vcs-Git: https://salsa.debian.org/tookmund/swapspace-deb.git
+Vcs-Browser: https://salsa.debian.org/tookmund/swapspace-deb
 
 Package: swapspace
 Architecture: any
