=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
  https://github.com/tookmund/swapspace/releases .*/download/v?(\d\S+)/swapspace-.*\.tar\.gz
