=== debian/changelog ===
swapspace (1.18-1) unstable; urgency=medium

  * New upstream version
  * Bump standards version to 4.6.2, no changes required

 -- Jacob Adams <tookmund@gmail.com>  Sun, 22 Jan 2023 15:50:16 -0500
