=== debian/watch ===
version=4
opts=downloadurlmangle=s/archive\/refs\/tags\/v(.*)\.tar\.gz/releases\/download\/v$1\/@PACKAGE@-$1\.tar\.gz/,\
pgpsigurlmangle=s/$/.sig/,\
filenamemangle=s/.*\/v(.*)/swapspace-$1/ \
https://github.com/tookmund/swapspace/tags .*/archive/refs/tags/v([\d\.]+)\.tar\.gz
